﻿function itemDisp() {
	result.innerHTML = "";
	state.innerHTML = "処理中です・・・<br />\n";

	var url = "../lib/ItemSearch.php";

	var paramList = "keyword=" + encodeURIComponent($F('txtWord'));
	paramList += "&hits=" + $F('txtHits');
	paramList += "&page=" + $F('txtPage');
	paramList += "&sort=" + encodeURIComponent($F('slctSort'));
	paramList += "&imageFlag=" + $F('slctImg');

	new Ajax.Request(url,
		{
			method: 'get',
			onSuccess: getData,
			onFailure: showErrMsg,
			parameters: paramList
	});

	function getData(data){
		var response = data.responseXML.getElementsByTagName('Response');
		var status = getValue(response[0], 'Status');

		if(!(status == "Success")){
			state.innerHTML = "データが見つかりませんでした。";
			return;
		}

		var item = response[0].getElementsByTagName('Item');
		var tmpHtml = "";

		for(i = 0; i < item.length; i++){
			//値を取得
			var itemNameValue = getValue(item[i], 'itemName');
			var itemPriceValue = getValue(item[i], 'itemPrice');
			var affiliateUrlValue = getValue(item[i], 'affiliateUrl');
			var mediumImageUrlValue = getValue(item[i], 'mediumImageUrl');
			var itemCaptionValue = getValue(item[i], 'itemCaption');

			//HTML作成
			tmpHtml += "<p>";

			tmpHtml += "<a href='" + affiliateUrlValue + "'>";
			tmpHtml += itemNameValue + "</a>";
			tmpHtml += "<br />";

			tmpHtml += "<b>" + itemPriceValue + "円</b>";
			tmpHtml += "<br />";

			if(mediumImageUrlValue != ""){
				tmpHtml += "<a href='" + affiliateUrlValue + "'>";
				tmpHtml += "<img src='"+ mediumImageUrlValue + "'>";
				tmpHtml += "</a>";
				tmpHtml += "<br />";
			}else{
				tmpHtml += "商品画像なし";
				tmpHtml += "<br />";
			}

			if(itemCaptionValue.length >= 200){
				tmpHtml += itemCaptionValue.substring(0, 200);
				tmpHtml += "<br />";
			}else{
				tmpHtml += itemCaptionValue;
				tmpHtml += "<br />";
			}

			tmpHtml += "</p>";
			tmpHtml += "<hr />";

		}

		//結果を表示
		result.innerHTML = tmpHtml;
		state.innerHTML = "データを取得しました。<br />\n";
	}

	function showErrMsg(){
		clearDisp();
		state.innerHTML = "データを取得できませんでした。<br />\n";
	}

	return false;
}
